bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: buidling emacs 21.2 on solaris 7 or later


From: John Bartelt
Subject: Re: buidling emacs 21.2 on solaris 7 or later
Date: Thu, 02 Jan 2003 15:36:15 -0800 (PST)

PPS: Maybe the problem is both 'string.h' and 'stirngs.h' are
included.

Here is the error message from gcc:

address@hidden $ gcc -c   -I/usr/openwin/include    -g -O  -DEMACS_BITMAP_FILES 
-DHAVE_CONFIG_H -Demacs -I. -I../src 
-I/afs/slac.stanford.edu/package/emacs/build/emacs-21.2/lwlib 
-I/afs/slac.stanford.edu/package/emacs/build/emacs-21.2/lwlib/../src xlwmenu.c
In file included from /usr/openwin/include/X11/Xos.h:81,
                 from xlwmenu.c:32:
/usr/include/strings.h:25: conflicting types for `memmove'
/usr/include/string.h:44: previous declaration of `memmove'
/usr/include/strings.h:26: parse error before `0'
/usr/include/strings.h:26: warning: conflicting types for built-in function 
`memset'

+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
John Bartelt                             address@hidden
Stanford Linear Accelerator Center       650-926-4591
MS 97, P.O. Box 4349                     
Stanford, CA 94309                       office:  SCS room 380




reply via email to

[Prev in Thread] Current Thread [Next in Thread]